sun.applet

## Class PluginMain

- java.lang.Object
- - sun.applet.PluginMain

-     public class PluginMain
      extends java.lang.Object

  The main entry point into PluginAppletViewer.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initSecurityContext(PluginStreamHandler streamHandler)`
    `static javax.swing.JFrame` | `javawsHtmlMain(net.sourceforge.jnlp.PluginBridge pb, java.net.URL html)`
    `static void` | `main(java.lang.String[] args)` The main entry point into AppletViewer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      The main entry point into AppletViewer.
      Parameters:
        `args` - regular command-line arguments to be passed from native part
      Throws:
        `java.io.IOException` - if IO issues occur

    - #### initSecurityContext

          public static void initSecurityContext(PluginStreamHandler streamHandler)

    - #### javawsHtmlMain

          public static javax.swing.JFrame javawsHtmlMain(net.sourceforge.jnlp.PluginBridge pb,
                                                          java.net.URL html)

Submit a bug or feature